<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CorrectExam_List.aspx.cs"
    Inherits="RM.Web.Training.Exam.CorrectExam_List" %>

<%@ Register Src="~/UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<%@ Register Src="~/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">


    <title> <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CorrectExam_list_Title")%></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <link href="../../Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="../../Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="../../Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <style type="text/css">
        .specialStyle { background-color: #fcf1fb !important; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
            <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CorrectExam_list_Title")%>
        </div>
    </div>
    <div class="btnbarcontetn">
        <div style="float: left;">
            <asp:DropDownList ID="ddl_PpType" CssClass="Searchwhere" runat="server">

            </asp:DropDownList>
            <select id="Searchwhere" class="Searchwhere" runat="server">
            
            </select>
            <span id="flagsjm" runat="server" style="display:none;"><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("MyExamPlan-sjm") %></span>
            <input type="text" id="txt_Search" class="txtSearch SearchImg" runat="server" style="width: 100px;" />
            <asp:LinkButton ID="lbtSearch" runat="server" class="button green" OnClick="lbtSearch_Click"><span class="icon-botton"
            style="background: url('/Themes/images/Search.png') no-repeat scroll 0px 4px;">
        </span><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("GetButton")%></asp:LinkButton>
        </div>
        <div style="text-align: right">
            <uc2:LoadButton ID="LoadButton1" runat="server" />
        </div>
    </div>
    <div class="div-body" id="div-body">
        <%=TableHtml%>
    </div>
    <uc1:PageControl ID="PageControl1" runat="server" />
    </form>
    <script src="/Themes/Scripts/LodopFuncs.js" type="text/javascript"></script>
    <object id="LODOP_OB" classid="clsid:2105C259-1E0C-4534-8141-A753534CB4CA" width="0"
        height="0">
        <embed id="LODOP_EM" type="application/x-print-lodop" width="0" height="0"></embed>
    </object>
    <script type="text/javascript">
        $(function () {
            //把分页定位到屏幕下面
            divresize(90);
            FixedTableHeader("#table1", $(window).height() - 121);
            //考试未通过的显示特殊样式
            //            var checkIndex = $("thead>tr:eq(0)>td:contains('是否通过')").index();
            //            if (checkIndex < 0)//没有找到
            //                return;
            //            $("tbody>tr").each(function (i) {
            //                if ($(this).children("td").eq(checkIndex).text() == "否") $(this).addClass("specialStyle");
            //            })
        })
        //新增
        function add() {
            var url = "/Training/TrainingTest/TrainingTest_AddQuestions.aspx";
            window.location = url;
        }

        function correctExam() {//批改试卷        
            var arrt = new Array();
            arrt = CheckboxValue().split(',');            
            if(arrt.length>1){
            alert(lgznyh);
            return;
            }else{
            var key = arrt[0];
            if (IsEditdata(CheckboxValue())) {
                var url = "/Training/Exam/CorrectExam.aspx?HashKey=" + key;
                window.location = url;
            }}
        }

           function lookExam_PersonalData() {
              var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsEditdata(CheckboxValue())) {
                var url = "/Training/Exam/Exam_PersonalData.aspx?HashKey=" + key;
                window.location = url;
            }
        }
        //设置
        function set() {
            var url = "/RMBase/SysWindows/Base_WindowsSQLForm.aspx?key=<%=TableTitle %>";
            top.openDialog(url, 'Examination_List_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterIndex_sjlb")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Display settings")%>', 750, 400, 50, 50);
        }

        function Delete() {//删除
            var key = CheckboxValue();
            if (IsDelData(key)) {
                var delparm = "action=del&pV=" + key;
                delConfig('DeleteExamInfo.ashx', delparm, "<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("DeleteNotBeiFen")%>")
            }
        }
        var LODOP; //声明为全局变量 
        function printer() {
            //alert(document.getElementById("div-body").innerHTML);
            LODOP = getLodop(document.getElementById('LODOP_OB'), document.getElementById('LODOP_EM'));
            LODOP.PRINT_INIT("<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CorrectExam_list_Title")%>");
            var strBodyStyle = "<style>table{width:100%;border: 1 solid #000000;border-collapse:collapse }td {border: 1 solid #000000;border-collapse:collapse }</style>";
            LODOP.ADD_PRINT_TABLE(0, 0, "100%", '100%', strBodyStyle + document.getElementById("div-body").innerHTML);
            LODOP.PREVIEW();
        }
        //导出试卷
        function examexport(){
         var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsEditdata(CheckboxValue())) {
//                var CustomersData =null;//做为备注
                     $.ajax({
                        type: 'GET',   
                        async: false,  /////////改为同步就没问题了
                        url: 'ExamExport.ashx',  
                        dataType: 'json',  
                        data: 'key='+key, 
                        success: function (msg) {
                            CustomersData = msg;//这里alert(CustomersData );可以取到值
                            showTipsMsg('<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("notexamjuan")%>','5000','5');
                        },  //成功时的处理           
                        error: function (data) {  window.location ="ExamExport.ashx?key="+key;    }  //失败时的处理
                    });                                     
            }
        }
        //查看试卷
        function preview(){
            var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsEditdata(CheckboxValue())) {
                var url = "ExamPrint.aspx?key="+key;
                window.open(url);
            }
        }
         //导入
        function inport() {
            var url = "/Training/Exam/ImportCardReader.aspx";
            top.openDialog(url, 'ImportCardReader', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("CorrectExam_list_Title")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Import")%>', 251, 165, 50, 50);
        }
    </script>
</body>
</html>
